My Favorites

Close

Please to see your favorites.

  • Bookmark
  • Email Document
  • Printer Friendly
  • Favorite
  • Rating:

SLES for SAP 12 Package Conflict Errors After Fresh Install

This document (7023723) is provided subject to the disclaimer at the end of this document.

Environment


SUSE Linux Enterprise Server for SAP Applications 12

Situation

There is a problems with 'SUSE Linux Enterprise Server for SAP Applications 12'  (No Service Pack), where, depending on how the server is installed, attempting to use 'YaST > Online Update' or other updates methods, will produce conflict errors.

This problem only appears to arise when a fresh installation of 'SUSE Linux Enterprise Server for SAP Applications (No Service Pack)' is conducted and at the same time the server is registered and allowed to fully patch using the update repositories (added by registering the server).

This problem does not happen if the server is installed without registration (where registration and update patching occurs at some later time).

This problem is only seen on SUSE Linux Enterprise Server for SAP Applications 12 and is not seen on any other version of SUSE Linux Enterprise Server for SAP Applications 12.x


Example of the package conflict errors seen:-

Warning 

nothing provides libreplace-samba4.so{SAMBA_4.2.4_18.44.2_3784_SUSE_SLE_12-X86_64)(64bit) needed by ctdb-4.2.4-18.44.2.x86_64 

Conflict Resolution: 
1: deinstallation of ctdb-4.2.4-18.44.2.x86_64  
2: do not install patch:SUSE-SLE·HA-12-2017-1678·l.noarch 
3: break ctdb-4.2.4-18.44.2.x86_64 by ignoring some of its dependencies 

 patch:SUSE-SLE-HA-12-2018-1014-1.noarch conflicts with ocfs2-kmp-default.x86_64 < 1.8.2_k3.12.61-52.133-22.5.1 provided by ocfs2-kmp-default-l.8.2_k3.12.44_52.10-22.2.1.x86_64 


Conflict Resolution:
1: Following actions will be done:
 deinstallation of ocfs2-kmp-default-l.8.2_k3.12.44_52.1O-22.2.1.x86_64
 deinstallation of drbd-kmp-default·8.4.4.7_k3.12.51_52.39-9.9.1.x86_64
 deinstallation of dlm·kmp-default-4.0.2_k3.12.44_52.1O-22.2.1.x86_64
2: do not install patch:SUSE·SLE·HA-12-2018-1014-l.noarch 

 product:SLE5-12-0.x86_64 requires product{SLES) = 12-0, but this requirement cannot be provided 


Conflict Resolution:
1: deinstallation of product:SLES-12-O.x86_64 
2: do not install patch:SUSE·SLE·SAP-12-2017-1761-l.noarch 
3: break product:SLES-12-0.x86_64 by ignoring some of its dependencies 

 nothing provides libreplace-samba4.so{SAMBA_4.2.4_18.44.2_3784_SUSE_SLE_12-X86_64)(64bit) needed by ctdb-4.2.4-18.44.2.x86_64


Conflict Resolution:
1: deinstallation of patterns-ha-ha_sles-12-2.6.x86_64
2: do not install patch:SUSE-SLE-HA-12-2018-1559-l.noarch 
3: break ctdb-4.2.4-18.44.2.x86_64 by ignoring some of its dependencies




Resolution

This issue will not be fixed by engineering. Instead, a workaround is available.

This workaround requires the customer to have a Long Term Service Pack Support agreement for SUSE Linux Enterprise Server for SAP Applications 12

Remove the files:-

        /etc/products.d/sle-ha.prod
        /etc/products.d/SLES.prod

With the LTSS repository made available to the server (done by registering the LTSS server extension using the appropriate subscription code), initiate a full patch cycle of the server.

After the 'wrong' product files have been removed and the LTSS extension has been registered, the package conflicts should be gone.

A full patch cycle should then be run to update the server to the latest code.

Cause

Additional product files and related programs are incorrectly added to the server.

Additional Information

Once an LTSS subscription code is purchased, it can be used to register the LTSS 'server extension' which will add the LTSS repository to the server.

This is done using either 'YaST > Support > SUSE Customer Center Configuration > Select Extensions >' and checking the 'SUSE Linux Enterprise Server LTSS 12 x86_64' option and completing the extension registration process, or by using the appropriate command line switches with the SUSEConnect command (e.g.  SUSEConnect -p SLES-LTSS/12/x86_64 -r <YourActivationCode>)  .

Disclaimer

This Support Knowledgebase provides a valuable tool for NetIQ/Novell/SUSE customers and parties interested in our products and solutions to acquire information, ideas and learn from one another. Materials are provided for informational, personal or non-commercial use within your organization and are presented "AS IS" WITHOUT WARRANTY OF ANY KIND.

  • Document ID:7023723
  • Creation Date:16-FEB-19
  • Modified Date:21-MAR-19
    • NovellSUSE Linux Enterprise Server for SAP Applications
< Back to Support Search

SUSE Support Forums

Get your questions answered by experienced Sys Ops or interact with other SUSE community experts.

Join Our Community

Support Resources

Learn how to get the most from the technical support you receive with your SUSE Subscription, Premium Support, Academic Program, or Partner Program.


SUSE Customer Support Quick Reference Guide SUSE Technical Support Handbook Update Advisories
Support FAQ

Open an Incident

Open an incident with SUSE Technical Support, manage your subscriptions, download patches, or manage user access.

Go to Customer Center